summaryrefslogtreecommitdiffstats
path: root/test
diff options
context:
space:
mode:
authorReinaldo Colina <rcolina@pingidentity.com>2015-08-27 12:14:13 -0700
committerReinaldo Colina <rcolina@pingidentity.com>2015-08-27 12:14:13 -0700
commit637b5d5534469ebb15826139e1b3df12a1cc9309 (patch)
treeceb0d013f13603998946e43795fa4b8408e4af6e /test
parentfd2c201c69ebfd077d6f7be5d09bcdbb147acc59 (diff)
downloadgit-sonar-637b5d5534469ebb15826139e1b3df12a1cc9309.tar.gz
git-sonar-637b5d5534469ebb15826139e1b3df12a1cc9309.zip
issue-17: Add arguments to make the prompt shorter
Diffstat (limited to '')
-rwxr-xr-xtest1
-rwxr-xr-xtest-radar-base.sh51
2 files changed, 52 insertions, 0 deletions
diff --git a/test b/test
index a6a8775..831e039 100755
--- a/test
+++ b/test
@@ -1,5 +1,6 @@
#!/bin/sh
+./test-radar-base.sh
./test-directories.sh
./test-commits.sh
./test-branches.sh
diff --git a/test-radar-base.sh b/test-radar-base.sh
new file mode 100755
index 0000000..ca95136
--- /dev/null
+++ b/test-radar-base.sh
@@ -0,0 +1,51 @@
+scriptDir="$(cd "$(dirname "$0")"; pwd)"
+
+source "$scriptDir/radar-base.sh"
+
+test_show_git_label() {
+ show_git_label
+ assertTrue $?
+
+ show_git_label --bash
+ assertTrue $?
+
+ show_git_label --bash --fetch
+ assertTrue $?
+
+ show_git_label --bash --minimal --fetch
+ assertFalse $?
+
+ show_git_label --bash --fetch --minimal
+ assertFalse $?
+
+ show_git_label --minimal --bash --fetch
+ assertFalse $?
+
+ show_git_label --bash --fetch --minimal --no-remote-status
+ assertFalse $?
+}
+
+test_show_remote_status() {
+ show_remote_status
+ assertTrue $?
+
+ show_remote_status --bash
+ assertTrue $?
+
+ show_remote_status --bash --fetch
+ assertTrue $?
+
+ show_remote_status --bash --no-remote-status --fetch
+ assertFalse $?
+
+ show_remote_status --bash --fetch --no-remote-status
+ assertFalse $?
+
+ show_remote_status --no-remote-status --bash --fetch
+ assertFalse $?
+
+ show_remote_status --bash --fetch --minimal --no-remote-status
+ assertFalse $?
+}
+
+. ./shunit/shunit2 \ No newline at end of file